y = struct('class','RV','names',{{'y'}}); 
u = struct('class','RV','names',{{'u'}}); 
yu = struct('class','RV','names',{{'y','u'}}); 
rgr= struct('class','RV',...
        'names',{{'y', 'y','y','u'}},...
		'times' , [-1, -2, -3, -1]);

%Data generating system
system = struct(...
	'class', 'ArxDS',...
	'y', struct('class','RV','names',{{'y', 'u'}}),...
	'u',  struct('class','RV','names',{{}}),...
	'rgr', rgr,...
	'theta', [0.8, -0.3, 0.4, 1.0;
              0.0, 0.0, 0.0, 0.0],...
	'offset',  [0.0, 0.0],...
	'r', [0.1, 0.0; 0.0, 1.0],...
	'opt', 'L_theta');

estimators = {
	struct('class','mexBM',...
	'name', 'mexBM',...
	'drv', y,...
    'posterior', struct('class', 'mexEpdf', 'name','mexEpdf','mu',[1.33333]))};

%experiment description
experiment.ndat = 9000;

M=estimator(system,estimators,experiment);%,logger);
